Location - Add Item
curl --request POST \
--url https://api.skulabs.com/location/add_item \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "507f1f77bcf86cd799439011",
"item_id": "507f1f77bcf86cd799439011",
"on_hand": 10,
"alert": 5
}
'import requests
url = "https://api.skulabs.com/location/add_item"
payload = {
"id": "507f1f77bcf86cd799439011",
"item_id": "507f1f77bcf86cd799439011",
"on_hand": 10,
"alert": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '507f1f77bcf86cd799439011',
item_id: '507f1f77bcf86cd799439011',
on_hand: 10,
alert: 5
})
};
fetch('https://api.skulabs.com/location/add_item', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Location
Location - Add Item
Assign an item to a warehouse location.
POST
/
location
/
add_item
Location - Add Item
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Item added to location successfully
Whether the operation succeeded
⌘I